Adr Un Codes
Authorizations
AuthenticationstringRequired
Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
pageintegerOptional
A page number within the paginated result set.
searchstringOptionalExample:
Search by code or description, not case sensitive.
gasolineorderingstringOptionalExample:
Order results by code. Ascending with code and descending with -code.
codeResponses
200
Get successful
application/json
countintegerOptionalExample:
1nextstring · nullableOptional
previousstring · nullableOptional
get/adr-un-codes/
GET /api/v4/adr-un-codes/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
200
Get successful
{
"count": 1,
"next": "text",
"previous": "text",
"results": [
{
"id": 1,
"code": 4,
"category": "1",
"description": {
"fr": "PICRATE D'AMMONIUM sec ou humidifié avec moins de 10% (masse) d'eau",
"en": "AMMONIUM PICRATE dry or wetted with less than 10% water, by mass",
"nl": "AMMONIUMPIKRAAT, droog of bevochtigd met minder dan 10 massa-% water",
"de": "AMMONIUMPIKRAT, trocken oder angefeuchtet mit weniger als 10 Masse-% Wasser"
},
"packaging_group": "III",
"tunnel_restriction": "(B1000C)"
}
]
}Last updated
Was this helpful?